Imports System
Imports System.IO
Imports System.Diagnostics
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap01

	Public Class Chap0103

		Public Sub New()
			Console.WriteLine("Chapter 1 example 3: PageSize")
			Dim doc As Document = New Document(PageSize.A4.Rotate)
			Try
				PdfWriter.GetInstance(doc, New FileStream("Chap0103.pdf", FileMode.Create))
				doc.Open
				Dim i As Integer = 0
				While i < 20
					doc.Add(New Phrase("Hello World, Hello Sun, Hello Moon, Hello Stars, Hello Sea, Hello Land, Hello People. "))
					System.Math.Min(System.Threading.Interlocked.Increment(i),i-1)
				End While
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
