Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap01

	Public Class Chap0106

		Public Sub New()
			Console.WriteLine("Chapter 1 example 6: Meta Information")
			Dim doc As Document = New Document
			Try
				PdfWriter.GetInstance(doc, New FileStream("Chap0106.pdf", FileMode.Create))
				doc.AddTitle("Hello World example")
				doc.AddSubject("This example explains step 6 in Chapter 1")
				doc.AddKeywords("Metadata, iText, step 6, tutorial")
				doc.AddCreator("My program using iText#")
				doc.AddAuthor("Bruno Lowagie")
				doc.AddHeader("Expires", "0")
				doc.Open
				doc.Add(New Paragraph("Hello World"))
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
