Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap04

	Public Class Chap0405

		Public Sub New()
			Console.WriteLine("Chapter 4 example 5: page borders and horizontal lines")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0405.pdf", FileMode.Create))
				document.Open
				Dim g As Graphic = New Graphic
				g.SetBorder(3F, 5F)
				document.Add(g)
				document.Add(New Paragraph("Hello World"))
				document.Add(New Paragraph("Hello World" & Microsoft.VisualBasic.Chr(10) & "" & Microsoft.VisualBasic.Chr(10) & ""))
				g = New Graphic
				g.SetHorizontalLine(5F, 100F)
				document.Add(g)
				document.Add(New Paragraph("Hello World"))
				document.Add(New Paragraph("Hello World" & Microsoft.VisualBasic.Chr(10) & "" & Microsoft.VisualBasic.Chr(10) & ""))
				g = New Graphic
				g.SetHorizontalLine(2F, 80F, New Color(255, 0, 0))
				document.Add(g)
				document.Add(New Paragraph("Hello World"))
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
