Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap05

	Public Class Chap0501

		Public Sub New()
			Console.WriteLine("Chapter 5 example 1: my first table")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0501.pdf", FileMode.Create))
				document.Open
				Dim aTable As Table = New Table(2, 2)
				aTable.AddCell("0.0")
				aTable.AddCell("0.1")
				aTable.AddCell("1.0")
				aTable.AddCell("1.1")
				document.Add(aTable)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
