Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap06

	Public Class Chap0601

		Public Sub New()
			Console.WriteLine("Chapter 6 example 1: Adding a Wmf, Gif, Jpeg and Png-file using urls")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0601.pdf", FileMode.Create))
				document.Open
				Dim wmf As Image = Image.GetInstance("harbour.wmf")
				Dim gif As Image = Image.GetInstance("vonnegut.gif")
				Dim jpeg As Image = Image.GetInstance("myKids.jpg")
				Dim png As Image = Image.GetInstance("hitchcock.png")
				document.Add(wmf)
				document.Add(gif)
				document.Add(jpeg)
				document.Add(png)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
