Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap06

	Public Class Chap0604

		Public Sub New()
			Console.WriteLine("Chapter 6 example 4: Alignment of images")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0604.pdf", FileMode.Create))
				document.Open
				Dim gif As Image = Image.GetInstance("vonnegut.gif")
				gif.Alignment = Image.RIGHT_ALIGN
				Dim jpeg As Image = Image.GetInstance("myKids.jpg")
				jpeg.Alignment = Image.MIDDLE_ALIGN
				Dim png As Image = Image.GetInstance("hitchcock.png")
				png.Alignment = Image.LEFT_ALIGN
				document.Add(gif)
				document.Add(jpeg)
				document.Add(png)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
