Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap06

	Public Class Chap0608

		Public Sub New()
			Console.WriteLine("Chapter 6 example 8: Rotating an Image")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0608.pdf", FileMode.Create))
				document.Open
				Dim jpg As Image = Image.GetInstance("myKids.jpg")
				jpg.Alignment = Image.MIDDLE_ALIGN
				jpg.Rotation = (CType(Math.PI, Single) / 6)
				document.Add(New Paragraph("rotate 30 degrees"))
				document.Add(jpg)
				document.NewPage
				jpg.Rotation = (CType(Math.PI, Single) / 4)
				document.Add(New Paragraph("rotate 45 degrees"))
				document.Add(jpg)
				document.NewPage
				jpg.Rotation = (CType(Math.PI, Single) / 2)
				document.Add(New Paragraph("rotate pi/2 radians"))
				document.Add(jpg)
				document.NewPage
				jpg.Rotation = CType((Math.PI * 0.75), Single)
				document.Add(New Paragraph("rotate 135 degrees"))
				document.Add(jpg)
				document.NewPage
				jpg.Rotation = CType(Math.PI, Single)
				document.Add(New Paragraph("rotate pi radians"))
				document.Add(jpg)
				document.NewPage
				jpg.Rotation = CType((2 * Math.PI), Single)
				document.Add(New Paragraph("rotate 2 x pi radians"))
				document.Add(jpg)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
