Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap06

	Public Class Chap0609

		Public Sub New()
			Console.WriteLine("Chapter 6 example 9: bytes() / Raw Image")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0609.pdf", FileMode.Create))
				document.Open
				Dim rf As FileStream = New FileStream("mykids.jpg", FileMode.Open, FileAccess.Read)
				Dim size As Integer = CType(rf.Length, Integer)
				Dim imext(size) As Byte
				rf.Read(imext, 0, size)
				rf.Close
				Dim img1 As Image = Image.GetInstance(imext)
				img1.SetAbsolutePosition(50, 500)
				document.Add(img1)
				Dim data(100 * 100 * 3) As Byte
				Dim k As Integer = 0
				While k < 100
					Dim j As Integer = 0
					While j < 300
						data(k * 300 + j) = CType((255 * Math.Sin(j * 0.5 * Math.PI / 300)), Byte)
						data(k * 300 + j + 1) = CType((256 - j * 256 / 300), Byte)
						data(k * 300 + j + 2) = CType((255 * Math.Cos(k * 0.5 * Math.PI / 100)), Byte)
						j += 3
					End While
					System.Threading.Interlocked.Increment(k)
				End While
				Dim img2 As Image = Image.GetInstance(100, 100, 3, 8, data)
				img2.SetAbsolutePosition(200, 200)
				document.Add(img2)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
