Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap06

	Public Class Chap0613

		Public Sub New()
			Console.WriteLine("Chapter 6 example 13: masked images")
			Dim document As Document = New Document(PageSize.A4, 50, 50, 50, 50)
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(document, New FileStream("Chap0613.pdf", FileMode.Create))
				document.Open
				Dim p As Paragraph = New Paragraph("Some text behind a masked img.")
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				document.Add(p)
				Dim cb As PdfContentByte = writer.DirectContent
				Dim maskr As Byte() =  {CType(60, Byte), CType(126, Byte), CType(231, Byte), CType(195, Byte), CType(195, Byte), CType(231, Byte), CType(126, Byte), CType(60, Byte)}
				Dim mask As Image = Image.GetInstance(8, 8, 1, 1, maskr)
				mask.MakeMask
				mask.Inverted = True
				Dim img As Image = Image.GetInstance("vonnegut.gif")
				img.ImageMask = mask
				img.SetAbsolutePosition(60, 620)
				cb.AddImage(img)
				cb.SetRGBColorFill(255, 0, 0)
				cb.AddImage(mask, mask.ScaledWidth * 8, 0, 0, mask.ScaledHeight * 8, 100, 400)
				cb.SetRGBColorFill(0, 255, 0)
				cb.AddImage(mask, mask.ScaledWidth * 8, 0, 0, mask.ScaledHeight * 8, 200, 400)
				cb.SetRGBColorFill(0, 0, 255)
				cb.AddImage(mask, mask.ScaledWidth * 8, 0, 0, mask.ScaledHeight * 8, 300, 400)
				document.Close
			Catch de As Exception
				Console.Error.WriteLine(de.StackTrace)
			End Try
		End Sub
	End Class 
End Namespace
