Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap09

	Public Class Chap0901

		Public Sub New()
			Console.WriteLine("Chapter 9 example 1: Other encodings")
			Dim doc As Document = New Document
			Try
				PdfWriter.GetInstance(doc, New FileStream("Chap0901.pdf", FileMode.Create))
				doc.Open
				Dim helvetica As BaseFont = BaseFont.CreateFont(BaseFont.HELVETICA, BaseFont.CP1252, BaseFont.NOT_EMBEDDED)
				Console.WriteLine(helvetica.PostscriptFontName)
				Dim font As Font = New Font(helvetica, 12, Font.NORMAL)
				Dim chunk As Chunk = New Chunk("Sponsor this example and send me 1΂. These are some special characters: ĐŀÐĀɰ͠ƐЀBrb", font)
				doc.Add(chunk)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
