Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap09

	Public Class Chap0904

		Public Sub New()
			Console.WriteLine("Chapter 9 example 4: True Type Collections")
			Dim doc As Document = New Document
			Try
				Dim names As String() = BaseFont.EnumerateTTCNames("c:\winnt\fonts\msgothic.ttc")
				Dim i As Integer = 0
				While i < names.Length
					Console.WriteLine("font " + i + ": " + names(i))
					System.Math.Min(System.Threading.Interlocked.Increment(i),i-1)
				End While
				PdfWriter.GetInstance(doc, New FileStream("Chap0904.pdf", FileMode.Create))
				doc.Open
				Dim bf As BaseFont = BaseFont.CreateFont("c:\winnt\fonts\msgothic.ttc,1", BaseFont.IDENTITY_H, BaseFont.EMBEDDED)
				Console.WriteLine("postscriptname: " + bf.PostscriptFontName)
				Dim font As Font = New Font(bf, 16)
				Dim text1 As String = "ťƗøф¦ͳȃɳŏ"
				Dim text2 As String = "ťƗøљƸ˷ͥ"
				doc.Add(New Paragraph(text1, font))
				doc.Add(New Paragraph(text2, font))
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
