Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap09

	Public Class Chap0905

		Public Sub New()
			Console.WriteLine("Chapter 9 example 5: changing fontwidths")
			Dim doc As Document = New Document(PageSize.A4, 50, 50, 50, 50)
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(doc, New FileStream("Chap0905.pdf", FileMode.Create))
				doc.Open
				Dim bf As BaseFont = BaseFont.CreateFont("Helvetica", "winansi", False, False, Nothing, Nothing)
				Dim widths As Integer() = bf.Widths
				Dim k As Integer = 0
				While k < widths.Length
					If Not (widths(k) = 0) Then
						widths(k) = 1000
					End If
					System.Threading.Interlocked.Increment(k)
				End While
				bf.ForceWidthsOutput = True
				doc.Add(New Paragraph("A big text to show Helvetica with fixed width.", New Font(bf)))
			Catch de As Exception
				Console.Error.WriteLine(de.StackTrace)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
