Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap10

	Public Class Chap1009

		Public Sub New()
			Console.WriteLine("Chapter 10 example 9: a PdfPTable at an absolute position")
			Dim doc As Document = New Document(PageSize.A4, 50, 50, 50, 50)
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(doc, New FileStream("Chap1009.pdf", FileMode.Create))
				doc.Open
				Dim table As PdfPTable = New PdfPTable(4)
				table.DefaultCell.Border = Rectangle.LEFT_BORDER Or Rectangle.RIGHT_BORDER
				Dim k As Integer = 0
				While k < 24
					table.AddCell("cell " + k)
					System.Threading.Interlocked.Increment(k)
				End While
				table.TotalWidth = 300
				table.WriteSelectedRows(0, -1, 100, 600, writer.DirectContent)
				doc.Close
			Catch de As Exception
				Console.WriteLine(de.Message)
				Console.WriteLine(de.StackTrace)
			End Try
		End Sub
	End Class 
End Namespace
