Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap11

	Public Class Chap1109

		Public Sub New()
			Console.WriteLine("Chapter 11 example 9: outlines with actions")
			Dim document As Document = New Document(PageSize.A4, 50, 50, 50, 50)
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(document, New FileStream("Chap1109.pdf", FileMode.Create))
				document.Open
				document.Add(New Paragraph("Outline action example"))
				Dim cb As PdfContentByte = writer.DirectContent
				cb.AddOutline(New PdfOutline(cb.RootOutline, New PdfAction("http://www.Geocities.Com/itextpdf"), "http://www.Geocities.Com/itextpdf"))
				cb.AddOutline(New PdfOutline(cb.RootOutline, New PdfAction("http://iTextSharp.Sourceforge.Net"), "http://iTextSharp.Sourceforge.Net"))
				cb.AddOutline(New PdfOutline(cb.RootOutline, New PdfAction("Chap1102b.pdf", 3), "Chap1102b.pdf"))
			Catch de As Exception
				Console.WriteLine(de.Message)
				Console.WriteLine(de.StackTrace)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
