Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap04

	Public Class Chap0401

		Public Sub New()
			Console.WriteLine("Chapter 4 example 1: Headers en Footers")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0401.pdf", FileMode.Create))
				Dim footer As HeaderFooter = New HeaderFooter(New Phrase("This is page: "), True)
				footer.Border = Rectangle.NO_BORDER
				document.Footer = footer
				document.Open
				Dim header As HeaderFooter = New HeaderFooter(New Phrase("This is a header"), False)
				document.Header = header
				document.Add(New Paragraph("Hello World"))
				document.NewPage
				document.Add(New Paragraph("Hello Earth"))
				document.ResetHeader
				document.NewPage
				document.Add(New Paragraph("Hello Sun"))
				document.Add(New Paragraph("Remark: the header has vanished!"))
				document.ResetPageCount
				document.NewPage
				document.Add(New Paragraph("Hello Moon"))
				document.Add(New Paragraph("Remark: the pagenumber has been reset!"))
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
