Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap04

	Public Class Chap0402

		Public Sub New()
			Console.WriteLine("Chapter 4 example 2: Chapters and Sections")
			Dim document As Document = New Document(PageSize.A4, 50, 50, 50, 50)
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(document, New FileStream("Chap0402.pdf", FileMode.Create))
				document.Open
				Dim chapterFont As Font = FontFactory.GetFont(FontFactory.HELVETICA, 24, Font.NORMAL, New Color(255, 0, 0))
				Dim sectionFont As Font = FontFactory.GetFont(FontFactory.HELVETICA, 20, Font.NORMAL, New Color(0, 0, 255))
				Dim subsectionFont As Font = FontFactory.GetFont(FontFactory.HELVETICA, 18, Font.BOLD, New Color(0, 64, 64))
				Dim blahblah As Paragraph = New Paragraph("blah blah blah blah blah blah blaah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah")
				Dim blahblahblah As Paragraph = New Paragraph("blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blaah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah blah")
				Dim i As Integer = 1
				While i < 8
					Dim cTitle As Paragraph = New Paragraph("This is chapter " + i, chapterFont)
					Dim chapter As Chapter = New Chapter(cTitle, i)
					If i = 4 Then
						blahblahblah.Alignment = Element.ALIGN_JUSTIFIED
						blahblah.Alignment = Element.ALIGN_JUSTIFIED
						chapter.Add(blahblah)
					End If
					If i = 5 Then
						blahblahblah.Alignment = Element.ALIGN_CENTER
						blahblah.Alignment = Element.ALIGN_RIGHT
						chapter.Add(blahblah)
					End If
					If i = 6 Then
						blahblah.Alignment = Element.ALIGN_JUSTIFIED
					End If
					Dim j As Integer = 1
					While j < 4
						Dim sTitle As Paragraph = New Paragraph("This is section " + j + " in chapter " + i, sectionFont)
						Dim section As Section = chapter.AddSection(sTitle, 1)
						If j = 3 AndAlso i > 1 Then
							section.Add(blahblah)
						End If
						Dim k As Integer = 1
						While k < 4
							Dim subTitle As Paragraph = New Paragraph("This is subsection " + k + " of section " + j, subsectionFont)
							Dim subsection As Section = section.AddSection(subTitle, 3)
							If k = 1 AndAlso j = 3 Then
								subsection.Add(blahblahblah)
							End If
							subsection.Add(blahblah)
							System.Math.Min(System.Threading.Interlocked.Increment(k),k-1)
						End While
						If j = 2 AndAlso i > 2 Then
							section.Add(blahblahblah)
						End If
						System.Math.Min(System.Threading.Interlocked.Increment(j),j-1)
					End While
					document.Add(chapter)
					System.Math.Min(System.Threading.Interlocked.Increment(i),i-1)
				End While
			Catch de As Exception
				Console.Error.WriteLine(de.StackTrace)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
