Imports System
Imports System.IO
Imports System.Drawing
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap05

	Public Class Chap0502

		Public Sub New()
			Console.WriteLine("Chapter 5 example 2: adding cells at a specific position")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0502.pdf", FileMode.Create))
				document.Open
				Dim aTable As Table
				aTable = New Table(4, 4)
				aTable.AutoFillEmptyCells = True
				aTable.AddCell("2.2", New Point(2, 2))
				aTable.AddCell("3.3", New Point(3, 3))
				aTable.AddCell("2.1", New Point(2, 1))
				aTable.AddCell("1.3", New Point(1, 3))
				document.Add(aTable)
				document.NewPage
				aTable = New Table(4, 4)
				aTable.AddCell("2.2", New Point(2, 2))
				aTable.AddCell("3.3", New Point(3, 3))
				aTable.AddCell("2.1", New Point(2, 1))
				aTable.AddCell("1.3", New Point(1, 3))
				document.Add(aTable)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
