Imports System
Imports System.IO
Imports System.Drawing
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap05

	Public Class Chap0504

		Public Sub New()
			Console.WriteLine("Chapter 5 example 4: adding columns")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0504.pdf", FileMode.Create))
				document.Open
				Dim aTable As Table = New Table(2, 2)
				aTable.AutoFillEmptyCells = True
				aTable.AddCell("0.0")
				aTable.AddCell("0.1")
				aTable.AddCell("1.0")
				aTable.AddCell("1.1")
				aTable.AddColumns(2)
				Dim f As Single() =  {1F, 1F, 1F, 1F}
				aTable.Widths = f
				aTable.AddCell("2.2", New Point(2, 2))
				aTable.AddCell("3.3", New Point(3, 3))
				aTable.AddCell("2.1", New Point(2, 1))
				aTable.AddCell("1.3", New Point(1, 3))
				aTable.AddCell("5.2", New Point(5, 2))
				aTable.AddCell("6.1", New Point(6, 1))
				aTable.AddCell("5.0", New Point(5, 0))
				document.Add(aTable)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
