Imports System
Imports System.Drawing
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap05

	Public Class Chap0515

		Public Sub New()
			Console.WriteLine("Chapter 5 example 15: nested tables")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0515.pdf", FileMode.Create))
				document.Open
				Dim secondTable As Table = New Table(2)
				secondTable.AddCell("2.0.0")
				secondTable.AddCell("2.0.1")
				secondTable.AddCell("2.1.0")
				secondTable.AddCell("2.1.1")
				Dim tableCell As Cell = New Cell(secondTable)
				Dim aTable As Table = New Table(3, 3)
				aTable.AddCell("0.0", New Point(0, 0))
				aTable.AddCell("0.1", New Point(0, 1))
				aTable.AddCell("0.2", New Point(0, 2))
				aTable.AddCell("0.0", New Point(1, 0))
				aTable.AddCell(tableCell, New Point(1, 1))
				aTable.AddCell("2.2", New Point(1, 2))
				aTable.AddCell("2.0", New Point(2, 0))
				aTable.AddCell("2.1", New Point(2, 1))
				aTable.AddCell("2.2", New Point(2, 2))
				document.Add(aTable)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
