Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap06

	Public Class Chap0606

		Public Sub New()
			Console.WriteLine("Chapter 6 example 6: Absolute Positioning of an Image")
			Dim document As Document = New Document
			Try
				PdfWriter.GetInstance(document, New FileStream("Chap0606.pdf", FileMode.Create))
				document.Open
				Dim png As Image = Image.GetInstance("hitchcock.png")
				png.SetAbsolutePosition(171, 250)
				document.Add(png)
				png.SetAbsolutePosition(342, 500)
				document.Add(png)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
