Imports System
Imports System.IO
Imports iTextSharp.text
Imports RtfWriter = iTextSharp.text.rtf.RtfWriter

Namespace iTextSharp.tutorial.Chap08

	Public Class Chap0801

		Public Sub New()
			Console.WriteLine("Chapter 8 example 1: Hello World")
            Dim doc As Document = New Document
			Try
				RtfWriter.GetInstance(doc, New FileStream("Chap0801.rtf", FileMode.Create))
				doc.Open
				doc.Add(New Paragraph("Hello World"))
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
