Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap09

	Public Class Chap0903

		Public Sub New()
			Console.WriteLine("Chapter 9 example 3: True Types (embedded)")
			Dim doc As Document = New Document
			Try
				PdfWriter.GetInstance(doc, New FileStream("Chap0903.pdf", FileMode.Create))
				doc.Open
				Dim bfComic As BaseFont = BaseFont.CreateFont("c:\winnt\fonts\comic.ttf", BaseFont.IDENTITY_H, BaseFont.EMBEDDED)
				Dim font As Font = New Font(bfComic, 12)
				Dim text1 As String = "This is the quite popular True Type font 'Comic'."
				Dim text2 As String = "Some greek characters: ǠȐʰ"
				Dim text3 As String = "Some cyrillic characters: Ǡΐ"
				doc.Add(New Paragraph(text1, font))
				doc.Add(New Paragraph(text2, font))
				doc.Add(New Paragraph(text3, font))
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
