Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap09

	Public Class Chap09_fontfactory_styles

		Public Sub New()
			Console.WriteLine("Chapter 9: class FontFactory and Styles")
			Dim doc As Document = New Document
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(doc, New FileStream("Chap09_fontfactory_styles.pdf", FileMode.Create))
				doc.Open
				FontFactory.Register("c:\winnt\fonts\arial.ttf")
				FontFactory.Register("c:\winnt\fonts\arialbd.ttf")
				FontFactory.Register("c:\winnt\fonts\ariali.ttf")
				FontFactory.Register("c:\winnt\fonts\arialbi.ttf")
				Dim myPhrase As Phrase = New Phrase("This is font family Arial ", FontFactory.GetFont("Arial", 8))
				myPhrase.Add(New Phrase("italic ", FontFactory.GetFont("Arial", 8, Font.ITALIC)))
				myPhrase.Add(New Phrase("bold ", FontFactory.GetFont("Arial", 8, Font.BOLD)))
				myPhrase.Add(New Phrase("bolditalic", FontFactory.GetFont("Arial", 8, Font.BOLDITALIC)))
				doc.Add(myPhrase)
			Catch de As DocumentException
				Console.Error.WriteLine(de.Message)
			Catch ioe As IOException
				Console.Error.WriteLine(ioe.Message)
			End Try
			doc.Close
		End Sub
	End Class 
End Namespace
