Imports System
Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf
Namespace iTextSharp.tutorial.Chap11

	Public Class Chap1105

		Public Sub New()
			Console.WriteLine("Chapter 11 example 5: Open action")
			Dim document As Document = New Document(PageSize.A4, 50, 50, 50, 50)
			Try
				Dim writer As PdfWriter = PdfWriter.GetInstance(document, New FileStream("Chap1105.pdf", FileMode.Create))
				document.Open
				Dim action As PdfAction = PdfAction.GotoLocalPage(2, New PdfDestination(PdfDestination.XYZ, -1, 10000, 0), writer)
				writer.SetOpenAction(action)
				document.Add(New Paragraph("Page 1"))
				document.NewPage
				document.Add(New Paragraph("Page 2"))
			Catch de As Exception
				Console.Error.WriteLine(de.Message)
				Console.Error.WriteLine(de.StackTrace)
			End Try
			document.Close
		End Sub
	End Class 
End Namespace
